org.gjt.sp.jedit.textarea

## Class TextAreaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gjt.sp.jedit.textarea.TextAreaException

All Implemented Interfaces:
  java.io.Serializable

    public class TextAreaException
    extends java.lang.Exception

Exception that the TextArea can throw when an error occurs. It can be catched and an error dialog can be displayed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TextAreaException(java.lang.String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TextAreaException

    public TextAreaException(java.lang.String msg)